Subject: Re: Installing GHC on my MacBook Air
From: George Colpitts <[email-masked]>
To: William McEnaney <[email-masked]>
Cc: GHC developers <[email-masked]>, Simon Peyton Jones <[email-masked]>
Date: Wed, 15 Mar 2023 09:09:16 -0300

Hi Bill

I  just noticed that you said you installed a binary distribution. If for
example you chose the 9.4.4 distribution at
https://www.haskell.org/ghc/download_ghc_9_4_4.html#macosx_x86_64 you
should choose one of:

   - ghc-9.4.4-aarch64-apple-darwin.tar.xz
   <https://downloads.haskell.org/~ghc/9.4.4/ghc-9.4.4-aarch64-apple-darwin.tar.xz>
(187.0
   MB, sig
   <https://downloads.haskell.org/~ghc/9.4.4/ghc-9.4.4-aarch64-apple-darwin.tar.xz.sig>
   )
   - ghc-9.4.4-aarch64-apple-darwin.tar.bz2
   <https://downloads.haskell.org/~ghc/9.4.4/ghc-9.4.4-aarch64-apple-darwin.tar.bz2>
(300.0
   MB, sig
   <https://downloads.haskell.org/~ghc/9.4.4/ghc-9.4.4-aarch64-apple-darwin.tar.bz2.sig>
   )

rather than

   - ghc-9.4.4-x86_64-apple-darwin.tar.xz
   <https://downloads.haskell.org/~ghc/9.4.4/ghc-9.4.4-x86_64-apple-darwin.tar.xz>
(177.9
   MB, sig
   <https://downloads.haskell.org/~ghc/9.4.4/ghc-9.4.4-x86_64-apple-darwin.tar.xz.sig>
   )
   - ghc-9.4.4-x86_64-apple-darwin.tar.bz2
   <https://downloads.haskell.org/~ghc/9.4.4/ghc-9.4.4-x86_64-apple-darwin.tar.bz2>
(281.9
   MB, sig
   <https://downloads.haskell.org/~ghc/9.4.4/ghc-9.4.4-x86_64-apple-darwin.tar.bz2.sig>
   )

On Wed, Mar 15, 2023 at 8:59 AM George Colpitts <[email-masked]>
wrote:

> Hi Bill
>
> Yes,GHC will run on your new MacBook Air. The cpu in that is Apple Silicon
> , the aarch64-apple-darwin platform. Older Macs run on Intel chips,
> the x86_64-apple-darwin platform.
>
> I'm not sure how you installed the compiler. I believe the standard way is
> described on https://www.haskell.org/ghcup/. Can you tell us how you
> installed it?
>
> Thanks
> George
>
> On Wed, Mar 15, 2023 at 8:22 AM Simon Peyton Jones <
> [email-masked]> wrote:
>
>> Redirecting this query to ghc-devs.  Can anyone help William?  Thanks!
>>
>> Will GHC run on my new MacBook Air? After installing the compiler, my
>>> laptop said its processor was wrong for the binary distribution I chose. If
>>> there is a dmg file for MacOS 12.5.1, please please link your reply to it.
>>>
>>
>> Simon
>>
>> On Tue, 14 Mar 2023 at 23:33, William McEnaney <
>> [email-masked]> wrote:
>>
>>> Dear Dr. Jones,
>>>
>>> Will GHC run on my new MacBook Air? After installing the compiler, my
>>> laptop said its processor was wrong for the binary distribution I chose. If
>>> there is a dmg file for MacOS 12.5.1, please please link your reply to it.
>>>
>>> Thanks for your help.
>>>
>>> Best,
>>> Bill
>>>
>> _______________________________________________
>> ghc-devs mailing list
>> [email-masked]
>> http://mail.haskell.org/cgi-bin/mailman/listinfo/ghc-devs
>>
>